package com.fjhx.common.service.contract;

import com.fjhx.common.entity.contract.po.ContractTemplate;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.common.entity.contract.vo.ContractTemplateVo;
import com.fjhx.common.entity.contract.dto.ContractTemplateSelectDto;
import com.fjhx.common.entity.contract.dto.ContractTemplateDto;


/**
 * <p>
 * 合同模板 服务类
 * </p>
 *
 * @author
 * @since 2023-04-14
 */
public interface ContractTemplateService extends BaseService<ContractTemplate> {

    /**
     * 合同模板分页
     */
    Page<ContractTemplateVo> getPage(ContractTemplateSelectDto dto);

    /**
     * 合同模板明细
     */
    ContractTemplateVo detail(Long id);

    /**
     * 合同模板新增
     */
    void add(ContractTemplateDto contractTemplateDto);

    /**
     * 合同模板编辑
     */
    void edit(ContractTemplateDto contractTemplateDto);

    /**
     * 合同模板删除
     */
    void delete(Long id);

}
